<?php

namespace AutoAdmin\Bundle\Seo\Model;

use AutoAdmin\Bundle\Seo\Entity\SchemaOrgMetadata;
use Doctrine\ORM\Mapping as ORM;

trait SchemaOrgContentTranslationTrait
{
    #[ORM\Embedded(class: SchemaOrgMetadata::class, columnPrefix: 'schema_org_')]
    protected ?SchemaOrgMetadata $schemaOrgMetadata = null;

    public function getSchemaOrgMetadata(): ?SchemaOrgMetadata
    {
        return $this->schemaOrgMetadata;
    }

    public function setSchemaOrgMetadata(?SchemaOrgMetadata $schemaOrgMetadata): self
    {
        $this->schemaOrgMetadata = $schemaOrgMetadata;

        return $this;
    }
}